/******************************************************************************
 *  CVS version:
 *     $Id: error.h,v 1.1 2003/05/13 22:21:01 nickie Exp $
 ******************************************************************************
 *
 *  C header file : error.h
 *  Project       : PCL Compiler
 *  Version       : 1.0 alpha
 *  Written by    : Nikolaos S. Papaspyrou (nickie@softlab.ntua.gr)
 *  Date          : May 14, 2003
 *  Description   : Generic symbol table in C, simple error handler
 *
 *  Comments: (in Greek iso-8859-7)
 *  ---------
 *    .
 *       .
 *      .
 *    
 */
 /*
 	  extern 
 */

#ifndef __ERROR_H__
#define __ERROR_H__


/* ---------------------------------------------------------------------
   ---------       ----------
   --------------------------------------------------------------------- */
extern int line_count;
extern char *yytext;
extern char include_name[];
extern int depth;
extern char *f_name;

extern FILE *fp_quad;
extern FILE *fp_asm;

//extern Quad_list * head3,* head2;

int found_error = 0;
void internal (const char * fmt, ...);
void fatal    (const char * fmt, ...);
void error    (const char * fmt, ...);
void warning  (const char * fmt, ...);


#endif
